
import UIKit

class TaskRecommendation: Codable {
    
    var recommendationId: String?
    
    var info: [TaskRecommendationTemplate]?
    
    private enum CodingKeys: String, CodingKey {
        case recommendationId
        case info
    }
    
    required init(from decoder: Decoder) throws {
        let container = try decoder.container(keyedBy: CodingKeys.self)
        recommendationId = try container.decodeIfPresent(String.self, forKey: .recommendationId)
        
        var infoContainer = try container.nestedUnkeyedContainer(forKey: .info)
        var infoArray = [TaskRecommendationTemplate]()
        while !infoContainer.isAtEnd {
            do {
                infoArray.append(try infoContainer.decode(TaskRecommendationTemplate.self))
            } catch {
                print(error)
            }
        }
        info = infoArray
    }
}

